"use client";

import { FormEvent } from "react";
import { useFormState } from "react-dom";
import { allProducers, insertWine } from "~/server/db";

const initialState = {
  message: null,
};

export default function CreateWineForm() {
  const [state, formAction] = useFormState(insertWine, { message: "" });
  return (
    <form action={}>
      <select name="producer" id="producer">
        {allProducers.map((producer) => (
          <option key={producer.id} value={producer.id}>
            {producer.name}
          </option>
        ))}
      </select>
      <input type="text" name="name" id="name" />
      <input type="datetime-local" name="createdAt" id="createdAt" />
    </form>
  );
}
