import "./envConfig"
import { drizzle } from 'drizzle-orm/vercel-postgres';
import { sql } from '@vercel/postgres';
import * as schema from './schema';

export const db = drizzle(sql, { schema });

export const allWines = await db.query.wines.findMany();

type NewWine = {
    name: string;
    producer: string;
  };
  
export type Wine = {
    id: string;
    name: string;
    producer: string;
    createdAt: Date;
    updatedAt: Date | null;
  };


export const insertWine = async (wine: NewWine) => {
    return db.insert(schema.wines).values(wine);
}

export const allProducers = await db.query.producers.findMany();
